Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 213805

Summary: media-libs/imlib-1.9.15-r2 fails to build because of libtool-2.2
Product: Gentoo Linux Reporter: Alessandro Guido <ag>
Component: New packagesAssignee: Desktop Misc. Team <desktop-misc>
Status: RESOLVED FIXED    
Severity: normal CC: bugs, gentoo, georgi, piorekf, polynomial-c, teidakankan, zeekec
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 212763    
Attachments: emerge log
imlib-1.9.15-r2_ebuild.patch
autoconf-30063.out

Description Alessandro Guido 2008-03-18 10:14:34 UTC
Making all in Imlib
../libtool: line 450: CDPATH: command not found
../libtool: line 450: CDPATH: command not found
../libtool: line 1253: func_opt_split: command not found
../libtool: line 1253: func_opt_split: command not found
libtool: Version mismatch error.  This is libtool 2.2, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2
libtool: and run autoconf again.
libtool: Version mismatch error.  This is libtool 2.2, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2
libtool: and run autoconf again.
make[2]: *** [cache.lo] Error 1



emerge --info:
Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.3.0, glibc-2.7-r1, 2.6.25-rc6-00014-gbde4f8f i686)
=================================================================
System uname: 2.6.25-rc6-00014-gbde4f8f i686 Intel(R) Pentium(R) M processor 1.86GHz
Timestamp of tree: Tue, 18 Mar 2008 07:30:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.5
dev-lang/python:     2.5.1-r5
sys-apps/baselayout: 2.0.0
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2
virtual/os-headers:  2.6.24
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=pentium-m -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-pipe -O2 -march=pentium-m -fomit-frame-pointer -fvisibility-inlines-hidden"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner"
FEATURES="distlocks metadata-transfer nodoc noinfo parallel-fetch sfperms strict tmpfs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,--hash-style=gnu -Wl,--as-needed"
LINGUAS="it"
MAKEOPTS="--quiet -j2"
PKGDIR="/var/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/portage"
PORTDIR_OVERLAY="/var/portage/local/layman/openrc /var/portage/local/my-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acpi alsa bzip2 cdr cli dbus dvd dvdr dvdread emboss evo fam firefox fortran gif hal iconv isdnlog jpeg kde kdehiddenvisibility mad midi mikmod mmx mp3 mpeg mudflap nls nptl nptlonly ogg opengl pcre pdf png pppd qt3support quicktime reflection session spell spl sse sse2 ssl svg threads unicode vorbis win32codecs x86 xcomposite xinerama xml xorg xscreensaver xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" ELIBC="glibc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="nv nvidia"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Reproducible: Always

Steps to Reproduce:
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2008-03-18 10:16:10 UTC
Please downgrade; this horrible libtool-2.2 thing is clearly absolutely not ready for usage.
Comment 2 Alessandro Guido 2008-03-18 10:32:26 UTC
(In reply to comment #1)
> Please downgrade; this horrible libtool-2.2 thing is clearly absolutely not
> ready for usage.
> 

Ok, I filed bugs while thinking it was a way to help gentoo developers to track the breakage. Sorry!
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2008-03-18 12:51:51 UTC
(In reply to comment #2)
> Ok, I filed bugs while thinking it was a way to help gentoo developers to track
> the breakage. Sorry!

Well yeah it helps to track the breakage, but sounds rather masochistic for daily use... :D 

Feel free to fill bugs about this, but for daily use this sounds like a very annoying thing ;) 

Comment 4 Rafał Mużyło 2008-03-18 18:55:31 UTC
Actually, it seems like an ebuild bug again.
Mixing macro and script from different versions has no reason to work.
I don't see a full log here, but reading the ebuild I guess, that this time script did not get updated and macro did (by eaclocal run at the end of _elibtoolize).
Comment 5 Alessandro Guido 2008-06-10 21:45:21 UTC
(In reply to comment #4)
> Actually, it seems like an ebuild bug again.
> Mixing macro and script from different versions has no reason to work.
> I don't see a full log here, but reading the ebuild I guess, that this time
> script did not get updated and macro did (by eaclocal run at the end of
> _elibtoolize).
> 

I tried removing the call to _elibtoolize and it merged fine, but I really don't know if it is the right fix
Comment 6 Piotr 2008-06-13 14:32:28 UTC
Adding this two lines to the end of the src_unpack() also helps:
autom4te --language=Autoconf aclocal.m4
autoconf

But I'm also not shure if this is the right solution.
Comment 7 Peter Alfredsen (RETIRED) gentoo-dev 2008-06-15 11:37:33 UTC
*** Bug 227127 has been marked as a duplicate of this bug. ***
Comment 8 Erik Zeek 2008-06-17 04:28:43 UTC
Created attachment 157199 [details]
emerge log
Comment 9 Erik Zeek 2008-06-17 04:33:38 UTC
Using just "eautoreconf" works as well.
Comment 10 Peter Alfredsen (RETIRED) gentoo-dev 2008-07-05 08:53:40 UTC
Fixed.
Comment 11 Lars Wendler (Polynomial-C) gentoo-dev 2008-07-09 18:50:51 UTC
Please reopen, this is still not fixed here:

>>> Emerging (1 of 1) media-libs/imlib-1.9.15-r2 to /
 * imlib-1.9.15.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                   [ ok ]
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking imlib-1.9.15.tar.bz2 ;-) ...                                  [ ok ]
>>> Unpacking source...
>>> Unpacking imlib-1.9.15.tar.bz2 to /var/tmp/portage/media-libs/imlib-1.9.15-r2/work
 * Applying imlib-1.9.15.patch ...                                        [ ok ]
 * Applying imlib-security.patch ...                                      [ ok ]
 * Applying imlib-1.9.15-bpp16-CVE-2007-3568.patch ...                    [ ok ]
 * Applying imlib-1.9.15-fix-rendering.patch ...                          [ ok ]
 * Running eautoreconf in '/var/tmp/portage/media-libs/imlib-1.9.15-r2/work/imlib-1.9.15' ...
 * Running aclocal ...                                                    [ ok ]
 * Running libtoolize --copy --force --install --automake ...             [ ok ]
 * Running aclocal ...                                                    [ ok ]
 * Running autoconf ...                                                   [ !! ]

 * Failed Running autoconf !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/media-libs/imlib-1.9.15-r2/temp/autoconf-30063.out

 *
 * ERROR: media-libs/imlib-1.9.15-r2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_unpack
 *             environment, line 2595:  Called eautoreconf
 *             environment, line  869:  Called eautoconf
 *             environment, line  812:  Called autotools_run_tool 'autoconf'
 *             environment, line  353:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *  The die message:
 *   Failed Running autoconf !
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-libs/imlib-1.9.15-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/imlib-1.9.15-r2/temp/environment'.
 *

 * Messages for package media-libs/imlib-1.9.15-r2:

 * Failed Running autoconf !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/media-libs/imlib-1.9.15-r2/temp/autoconf-30063.out
 *
 * ERROR: media-libs/imlib-1.9.15-r2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_unpack
 *             environment, line 2595:  Called eautoreconf
 *             environment, line  869:  Called eautoconf
 *             environment, line  812:  Called autotools_run_tool 'autoconf'
 *             environment, line  353:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *  The die message:
 *   Failed Running autoconf !
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-libs/imlib-1.9.15-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/imlib-1.9.15-r2/temp/environment'.
 *

barcelona:~ # grep Header /usr/portage/media-libs/imlib/imlib-1.9.15-r2.ebuild
# $Header: /var/cvsroot/gentoo-x86/media-libs/imlib/imlib-1.9.15-r2.ebuild,v 1.10 2008/07/05 08:51:28 loki_val Exp $
barcelona:~ # emerge --info
Portage 2.1.5.6 (default/linux/amd64/2008.0/desktop, gcc-4.2.4, glibc-2.7-r2, 2.6.25.10 x86_64)
=================================================================
System uname: 2.6.25.10 x86_64 Quad-Core AMD Opteron(tm) Processor 2354
Timestamp of tree: Wed, 09 Jul 2008 18:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r5
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.12
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=opteron -mtune=opteron -O2 -finline-functions -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/X11/Sessions /etc/X11/app-defaults /etc/X11/xinit /etc/bash_completion.d /etc/bonobo-activation /etc/ca-certificates.conf /etc/cups /etc/dbus-1 /etc/env.d /etc/env.d/java/ /etc/eselect/compiler /etc/fish /etc/fonts /etc/fonts/fonts.conf /etc/foomatic /etc/gconf /etc/gimp /etc/gnome-vfs-2.0 /etc/gtk /etc/gtk-2.0 /etc/hotplug /etc/hotplug.d /etc/imlib /etc/init.d /etc/iproute2 /etc/nas /etc/ntop /etc/pam.d /etc/pango /etc/profile.d /etc/revdep-rebuild /etc/sasl2 /etc/sgml /etc/ssl /etc/ssmtp /etc/t1lib /etc/terminfo /etc/udev/rules.d /etc/xinetd.d /etc/xml /etc/zsh"
CXXFLAGS="-march=opteron -mtune=opteron -O2 -finline-functions -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --with-bdeps=y"
FEATURES="ccache distlocks parallel-fetch sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror ftp://ftp.tu-clausthal.de/pub/linux/gentoo http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LDFLAGS="-Wl,--as-needed"
LINGUAS="de"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.0.254/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 amd64codecs asf avi berkdb branding bzip2 cairo cdparanoia cdr cli cracklib crypt cups dvd dvdr dvdread emboss encode evo fam ffmpeg flac gdbm gif gnutls gpg gtk gtk2 iconv idn imagemagick imlib isdnlog jpeg kde kdehiddenvisibility lame libwww mad midi mikmod mjpeg mmx mmxext mp3 mpeg mudflap multilib ncurses nls nptl nptlonly nsplugin ogg oggvorbis opengl pam pcre pdf png pppd qt3 qt3support quicktime readline reflection sdl session silc slang smp spell spl sse sse2 ssl startup-notification svg tga theora threads tiff truetype v4l2 vcd vorbis x264 xcomposite xml xml2 xorg xprint xv xvid zlib" ALSA_CARDS="emu10k1 hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="nv nvidia"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

barcelona:~ # 
Comment 12 Lars Wendler (Polynomial-C) gentoo-dev 2008-07-09 19:03:50 UTC
Created attachment 159969 [details]
imlib-1.9.15-r2_ebuild.patch

When I change the ebuild this way, I get imlib installed.
Comment 13 Lars Wendler (Polynomial-C) gentoo-dev 2008-07-09 19:11:58 UTC
Created attachment 159972 [details]
autoconf-30063.out

Forgot to attach this. Sorry...